## org.eclipse.emf.common.ui
Class ViewerPane

    java.lang.Object
      org.eclipse.emf.common.ui.ViewerPane

All Implemented Interfaces:
  Listener, IPropertyListener

Direct Known Subclasses:
  MappingEditor.MyViewerPane

    public abstract class ViewerPane

extends java.lang.Object
implements IPropertyListener, Listener

Please don't use this class until the design is complete.

Field Summary
`protected ToolBar` `actionBar`
`protected java.util.Collection<java.lang.Object>` `buddies`
`protected Composite` `container`
`protected ViewForm` `control`
`protected MenuManager` `menuManager`
`protected MouseListener` `mouseListener`
`protected IWorkbenchPage` `page`
`protected IWorkbenchPart` `part`
`protected IPartListener` `partListener`
`protected Image` `pullDownImage`
`protected ToolBar` `systemBar`
`protected CLabel` `titleLabel`
`protected ToolBarManager` `toolBarManager`
`protected Viewer` `viewer`

Constructor Summary
`ViewerPane(IWorkbenchPage page, IWorkbenchPart part)` Constructs a view pane for a view part.

Method Summary
`void` `createControl(Composite parent)`
`protected void` `createTitleBar()` Create a title bar for the pane which includes the view icon and title to the far left, and the close X icon to the far right.
`abstract Viewer` `createViewer(Composite parent)`
`void` `dispose()`
`protected void` `doMaximize()`
`java.util.Collection<java.lang.Object>` `getBudies()`
`Control` `getControl()` Get the control.
`MenuManager` `getMenuManager()`
`ToolBarManager` `getToolBarManager()`
`Viewer` `getViewer()`
`protected ViewForm` `getViewForm()` Get the view form.
`void` `handleEvent(Event event)`
`void` `hookFocus(Control ctrl)` Hook focus on a control.
`void` `propertyChanged(java.lang.Object source, int propID)` Indicates that a property has changed.
`protected void` `requestActivation()` Notify the workbook page that the part pane has been activated by the user.
`void` `setFocus()` Sets focus to this part.
`void` `setTitle(java.lang.Object object)`
`void` `setTitle(java.lang.String title, Image image)`
`void` `showFocus(boolean inFocus)` Indicate focus in part.
`java.lang.String` `toString()`
`void` `updateActionBars()`
`void` `updateTitles()` Update the title attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### page

    protected IWorkbenchPage page

### part

    protected IWorkbenchPart part

### buddies

    protected java.util.Collection<java.lang.Object> buddies

### viewer

    protected Viewer viewer

### container

    protected Composite container

### titleLabel

    protected CLabel titleLabel

### actionBar

    protected ToolBar actionBar

### toolBarManager

    protected ToolBarManager toolBarManager

### menuManager

    protected MenuManager menuManager

### pullDownImage

    protected Image pullDownImage

### systemBar

    protected ToolBar systemBar

### control

    protected ViewForm control

### mouseListener

    protected MouseListener mouseListener

### partListener

    protected IPartListener partListener

Constructor Detail

### ViewerPane

    public ViewerPane(IWorkbenchPage page,
                      IWorkbenchPart part)

  Constructs a view pane for a view part.

Method Detail

### createViewer

    public abstract Viewer createViewer(Composite parent)

### getBudies

    public java.util.Collection<java.lang.Object> getBudies()

### createControl

    public void createControl(Composite parent)

### getViewer

    public Viewer getViewer()

### getControl

    public Control getControl()

  Get the control.

### getViewForm

    protected ViewForm getViewForm()

  Get the view form.

### handleEvent

    public void handleEvent(Event event)

  Specified by:
    `handleEvent` in interface `Listener`
  See Also:
    `Listener`

### hookFocus

    public void hookFocus(Control ctrl)

  Hook focus on a control.

### requestActivation

    protected void requestActivation()

  Notify the workbook page that the part pane has been activated by the user.

### setFocus

    public void setFocus()

  Sets focus to this part.

### createTitleBar

    protected void createTitleBar()

  Create a title bar for the pane which includes the view icon and title to the far left, and the close X icon to the far right. The middle part is reserved for the view part to add a menu and tools.

### doMaximize

    protected void doMaximize()

### dispose

    public void dispose()

### getMenuManager

    public MenuManager getMenuManager()

### getToolBarManager

    public ToolBarManager getToolBarManager()

### propertyChanged

    public void propertyChanged(java.lang.Object source,
                                int propID)

  Indicates that a property has changed.

  Specified by:
    `propertyChanged` in interface `IPropertyListener`
  Parameters:
    `source` - the object whose property has changed
    `propID` - the ID of the property which has changed; property IDs are generally defined as constants on the source class

### showFocus

    public void showFocus(boolean inFocus)

  Indicate focus in part.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### updateActionBars

    public void updateActionBars()

### updateTitles

    public void updateTitles()

  Update the title attributes.

### setTitle

    public void setTitle(java.lang.Object object)

### setTitle

    public void setTitle(java.lang.String title,
                         Image image)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.